Author Topic: Error after install.  (Read 7467 times)

0 Members and 1 Guest are viewing this topic.

Offline The Dawg

  • Newbie
  • *
  • Posts: 9
  • Karma: +0/-0
    • View Profile
Error after install.
« on: September 13, 2013, 10:09:47 AM »
Dedicated server:

Script Version: Master trade X (from github)
PHP Version: 5.2.5
MySQL Version: 5

Have you tried the server test script: No

Have you modified any code yourself: No

Link to site: No

Description of issue: On the control panel I have this error right above the black bar header for the trades.

A fatal error has occurred: unpack(): Type L: not enough input, need 4, have 2 in .......tx/lib/stats.php on 186

The page does not completely load and the new trades do not appear.


Offline a4evermedia

  • Global Moderator
  • Full Member
  • ***
  • Posts: 122
  • Karma: +25/-0
  • Gender: Male
    • View Profile
    • A4Ever Media
Re: Error after install.
« Reply #1 on: September 13, 2013, 02:38:54 PM »
Here is a link to a post with that same error msg.
http://jmbforumarchives.unofficialjmbsupport.com/index9024.html?i=viewtopic/8809/

Its seems the problem was resolved with a fresh install.

Here is another solution:
http://jmbforumarchives.unofficialjmbsupport.com/indexd8aa.html?i=viewtopic/7889/

You might try deleting the files in your stats directory.  They should be recreated as necessary. If not, you will have to try a reinstall anyway.

Good Luck
a4ever

Offline The Dawg

  • Newbie
  • *
  • Posts: 9
  • Karma: +0/-0
    • View Profile
Re: Error after install.
« Reply #2 on: September 13, 2013, 07:40:42 PM »
Thanks for the reply.

I deleted files, replaced files from working copies... Reinstalled... Nothing worked.

Offline a4evermedia

  • Global Moderator
  • Full Member
  • ***
  • Posts: 122
  • Karma: +25/-0
  • Gender: Male
    • View Profile
    • A4Ever Media
Re: Error after install.
« Reply #3 on: September 13, 2013, 08:02:36 PM »
Hmm, I havent installed the Github version of tradex yet.  I'll have to try it on one of my domains and see how it goes. 

Don't know how soon I'll get a chance to work on it, but when I do I'll post the results.

Offline Chad

  • Administrator
  • Full Member
  • ***
  • Posts: 215
  • Karma: +27/-0
    • View Profile
Re: Error after install.
« Reply #4 on: September 13, 2013, 09:33:54 PM »
Hmm, I havent installed the Github version of tradex yet.  I'll have to try it on one of my domains and see how it goes. 

Don't know how soon I'll get a chance to work on it, but when I do I'll post the results.

I'll install it on my dev server tomorrow night and give it a look if you don't get a chance to do it before then.

Thanks,
Chad

Offline Chad

  • Administrator
  • Full Member
  • ***
  • Posts: 215
  • Karma: +27/-0
    • View Profile
Re: Error after install.
« Reply #5 on: September 15, 2013, 02:53:32 PM »
I have it installed and a test trade added but I don't see the error on my install.  The second JMB forum link that a4ever posted above suggests that it is caused by bad files in the stats directory.

Can you provide a FTP login via a ticket (http://tickets.unofficialjmbsupport.com/index.php?a=add) so I can take a look at the files?

Thanks,
Chad

Offline The Dawg

  • Newbie
  • *
  • Posts: 9
  • Karma: +0/-0
    • View Profile
Re: Error after install.
« Reply #6 on: September 16, 2013, 04:14:52 PM »
Hey,

I looked at a "auto-install" to see the structure and I noticed that there are .htaccess files in a few of the data folders (GitHub) version that are not in the old version.  I removed them and the error went away.  Why are there .htaccess files that say "deny from all" in those data folders?

Offline a4evermedia

  • Global Moderator
  • Full Member
  • ***
  • Posts: 122
  • Karma: +25/-0
  • Gender: Male
    • View Profile
    • A4Ever Media
Re: Error after install.
« Reply #7 on: September 18, 2013, 11:06:39 AM »
Yeah, they are there to enhance some security concerns - but they dont really do a lot without the prescence of the ORDER directive.

Google 'Apache ORDER, DENY, ALLOW directives' for more info.

Glad you got it resolved.  I am very happy with TradeX on all my sites.  Now I don't have anyone peeling off my traffic - lol.

I'm going to install the github version on my next new domain.

Offline timlover

  • Newbie
  • *
  • Posts: 3
  • Karma: +2/-0
    • View Profile
Re: Error after install.
« Reply #8 on: October 25, 2013, 03:31:32 PM »
I did a fresh github install on a domain and I'm getting the same error

unpack(): Type L: not enough input, need 4, have 2 in .......tx/lib/stats.php on 186

Going to try and debug this issue today and get it resolved. The issue is not in the
stats.php file as I've examdiffed them to another older working copy and there is
no difference in files at that location.

Offline Chad

  • Administrator
  • Full Member
  • ***
  • Posts: 215
  • Karma: +27/-0
    • View Profile
Re: Error after install.
« Reply #9 on: October 25, 2013, 08:38:37 PM »
Did you try removing the extra .htaccess files that Dawg talked about above?  If that fixes the errors I will delete them in github.

Thanks,
Chad

I did a fresh github install on a domain and I'm getting the same error

unpack(): Type L: not enough input, need 4, have 2 in .......tx/lib/stats.php on 186

Going to try and debug this issue today and get it resolved. The issue is not in the
stats.php file as I've examdiffed them to another older working copy and there is
no difference in files at that location.

Offline peeperd

  • Newbie
  • *
  • Posts: 46
  • Karma: +1/-0
    • View Profile
Re: Error after install.
« Reply #10 on: November 03, 2013, 10:37:44 AM »
guess you didnt update the zip i had to delete the .htaccess files to get it working

Offline Chad

  • Administrator
  • Full Member
  • ***
  • Posts: 215
  • Karma: +27/-0
    • View Profile
Re: Error after install.
« Reply #11 on: November 06, 2013, 06:37:34 PM »
Nobody confirmed that removing them fixed the error until you did so I will remove them.

Offline pornclaw

  • Newbie
  • *
  • Posts: 1
  • Karma: +1/-0
    • View Profile
Re: Error after install.
« Reply #12 on: December 30, 2013, 08:28:42 AM »
I also struggled with this error after trying to install the github version. I finally managed to solve it, so I thought I'd make an account to share what I did  :)

I've tried all the suggestions above. Delete the .htaccess files, reinstall a couple of times, emptied the stats folder.. None of them seemed to work.

What I did eventually did was remove the whole data folder, and replaced it with the data folder from a backup I had of a tradeX version I bought about a year ago. I set all the permissions to 777 again, ran the reset-access script, and the error was gone. All my old data was showing, so I deleted all the trades and did a 'reset' on the general in/out stats.

I have no idea what really solved it. But it probably has something to do with missing files somewhere in the data folder.

Offline pacoc

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: Error after install.
« Reply #13 on: January 18, 2014, 11:03:16 AM »
Nobody confirmed that removing them fixed the error until you did so I will remove them.

Hi Chad. I just installed the GitHub version. After changing the permissions (777 and 666) and follow the installation guide manual, I could not install.

I had to create the "_compiled" folder in the template directory. So YES I could install Tradex.

But, now when I login to my panel, I see the following:

Code: [Select]
A fatal error has occurred: unpack(): Type L: not enough input, need 4, have 0 in /home/XXXX/public_html/tx/lib/stats.php on 186

I deleted all the htaccess files in the "data directory" but that error keeps coming.

I guess all of that install the GitHub version are having the same mistake I did. Please, we need help.

Regards

Offline pacoc

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: Error after install.
« Reply #14 on: February 02, 2014, 12:43:43 PM »
Did anyone want to help?
is a serious mistake because the problem is in the version of Github!

Regards

Nobody confirmed that removing them fixed the error until you did so I will remove them.

Hi Chad. I just installed the GitHub version. After changing the permissions (777 and 666) and follow the installation guide manual, I could not install.

I had to create the "_compiled" folder in the template directory. So YES I could install Tradex.

But, now when I login to my panel, I see the following:

Code: [Select]
A fatal error has occurred: unpack(): Type L: not enough input, need 4, have 0 in /home/XXXX/public_html/tx/lib/stats.php on 186

I deleted all the htaccess files in the "data directory" but that error keeps coming.

I guess all of that install the GitHub version are having the same mistake I did. Please, we need help.

Regards

Unofficial JMB Support Forums

Re: Error after install.
« Reply #14 on: February 02, 2014, 12:43:43 PM »


Tags: unpack 
 

Related Topics

  Subject / Started by Replies Last post
0 Replies
4662 Views
Last post September 24, 2012, 11:00:12 PM
by Chad
4 Replies
1897 Views
Last post January 15, 2013, 02:42:16 PM
by panther555
0 Replies
1173 Views
Last post August 05, 2013, 07:04:44 PM
by Chad
0 Replies
1220 Views
Last post April 13, 2014, 03:56:32 PM
by thorshammer
0 Replies
1129 Views
Last post October 16, 2014, 05:28:09 PM
by swingermoney